org.keycloak.subsystem.extension

## Class KeycloakAdapterConfigService

- java.lang.Object
- - org.keycloak.subsystem.extension.KeycloakAdapterConfigService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<KeycloakAdapterConfigService>, org.jboss.msc.value.Value<KeycloakAdapterConfigService>

      public final class KeycloakAdapterConfigService
      extends Object
      implements org.jboss.msc.service.Service<KeycloakAdapterConfigService>

  This service keeps track of the entire Keycloak management model so as to provide adapter configuration to each deployment at deploy time.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeycloakAdapterConfigService` | `INSTANCE`
    `protected org.jboss.logging.Logger` | `log`
    `static org.jboss.msc.service.ServiceName` | `SERVICE_NAME`

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCredential(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `void` | `addRealm(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `void` | `addSecureDeployment(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `String` | `getJSON(String deploymentName)`
    `String` | `getRealmName(String deploymentName)`
    `KeycloakAdapterConfigService` | `getValue()`
    `boolean` | `isKeycloakDeployment(String deploymentName)`
    `void` | `removeCredential(org.jboss.dmr.ModelNode operation)`
    `void` | `removeRealm(org.jboss.dmr.ModelNode operation)`
    `void` | `removeSecureDeployment(org.jboss.dmr.ModelNode operation)`
    `void` | `start(org.jboss.msc.service.StartContext sc)`
    `void` | `stop(org.jboss.msc.service.StopContext sc)`
    `void` | `updateCredential(org.jboss.dmr.ModelNode operation, String attrName, org.jboss.dmr.ModelNode resolvedValue)`
    `void` | `updateRealm(org.jboss.dmr.ModelNode operation, String attrName, org.jboss.dmr.ModelNode resolvedValue)`
    `void` | `updateSecureDeployment(org.jboss.dmr.ModelNode operation, String attrName, org.jboss.dmr.ModelNode resolvedValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected org.jboss.logging.Logger log

    - #### SERVICE_NAME

          public static final org.jboss.msc.service.ServiceName SERVICE_NAME

    - #### INSTANCE

          public static final KeycloakAdapterConfigService INSTANCE

  - ### Method Detail

    - #### start

          public void start(org.jboss.msc.service.StartContext sc)
                     throws org.jboss.msc.service.StartException

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<KeycloakAdapterConfigService>`
      Throws:
        `org.jboss.msc.service.StartException`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext sc)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<KeycloakAdapterConfigService>`

    - #### getValue

          public KeycloakAdapterConfigService getValue()
                                                throws IllegalStateException,
                                                       IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<KeycloakAdapterConfigService>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### addRealm

          public void addRealm(org.jboss.dmr.ModelNode operation,
                      org.jboss.dmr.ModelNode model)

    - #### updateRealm

          public void updateRealm(org.jboss.dmr.ModelNode operation,
                         String attrName,
                         org.jboss.dmr.ModelNode resolvedValue)

    - #### removeRealm

          public void removeRealm(org.jboss.dmr.ModelNode operation)

    - #### addSecureDeployment

          public void addSecureDeployment(org.jboss.dmr.ModelNode operation,
                                 org.jboss.dmr.ModelNode model)

    - #### updateSecureDeployment

          public void updateSecureDeployment(org.jboss.dmr.ModelNode operation,
                                    String attrName,
                                    org.jboss.dmr.ModelNode resolvedValue)

    - #### removeSecureDeployment

          public void removeSecureDeployment(org.jboss.dmr.ModelNode operation)

    - #### addCredential

          public void addCredential(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)

    - #### removeCredential

          public void removeCredential(org.jboss.dmr.ModelNode operation)

    - #### updateCredential

          public void updateCredential(org.jboss.dmr.ModelNode operation,
                              String attrName,
                              org.jboss.dmr.ModelNode resolvedValue)

    - #### getRealmName

          public String getRealmName(String deploymentName)

    - #### getJSON

          public String getJSON(String deploymentName)

    - #### isKeycloakDeployment

          public boolean isKeycloakDeployment(String deploymentName)

Copyright © 2014. All Rights Reserved.